%bcond_without bootstrap
%define debug_package %{nil}

%global srcname contourpy

Name:           python-%{srcname}
Version:        1.3.1
Release:        %mkrel 1
Summary:        Python library for calculating contours in 2D quadrilateral grids
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://contourpy.readthedocs.io/
Source0:        %pypi_source %{srcname}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cmake(pybind11)
BuildRequires:  pybind11-devel
BuildRequires:  python3-pybind11
BuildRequires:  cmake
BuildRequires:  python3-devel
BuildRequires:  patchelf

%global _description %{expand:
ContourPy is a Python library for calculating contours of 2D quadrilateral
grids. It is written in C++11 and wrapped using pybind11.

It contains the 2005 and 2014 algorithms used in Matplotlib as well as a newer
algorithm that includes more features and is available in both serial and
multithreaded versions. It provides an easy way for Python libraries to use
contouring algorithms without having to include Matplotlib as a dependency.
}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
# (tv) fix linking:
export LDFLAGS="${LDFLAGS} -lpython%{python_version}"
%pyproject_buildrequires -w -x test%{?with_bootstrap:-no-images}

%build
export LDFLAGS="${LDFLAGS} -lpython%{python_version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest %{?with_bootstrap:-k 'not image'}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Dec 15 2024 papoteur <papoteur> 1.3.1-1.mga10
+ Revision: 2125445
- new version 1.3.1

* Mon May 13 2024 papoteur <papoteur> 1.2.1-1.mga10
+ Revision: 2063940
- new version 1.2.1

* Thu Dec 21 2023 tv <tv> 1.2.0-2.mga10
+ Revision: 2020697
- Bootstrap
- Fix linking when generating dynamic BRs
- BR patchelf
- Rebuild for python 3.12
- Use dynamic deps

* Thu Nov 09 2023 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 2005318
- new 1.2.0

* Sat Sep 30 2023 papoteur <papoteur> 1.1.1-1.mga10
+ Revision: 1992539
- new 1.1.1
- new 1.1.1

* Sat Dec 03 2022 papoteur <papoteur> 1.0.6-1.mga9
+ Revision: 1916209
- imported for arviz
- imported package python-contourpy

